Bug 158523 - powernow-k8 driver causes panic
powernow-k8 driver causes panic
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-23 06:06 EDT by Michal Szymanski
Modified: 2015-01-04 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Szymanski 2005-05-23 06:06:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
I have not been able to boot FC3 x86_64 SMP kernels (none of the available,
2.6.9-1.667 and all updates) until I disabled 'cpuspeed' services. Contrary to the somewhat similar problem reported for RHEL4-beta2 (bug #146251),
there is no problem to boot the system into uP kernel. That is how I was
able to disable cpuspeed. The hangs were at random places after 'cpuspeed' but I
have never got to the end of the boot process. After upgrading kernel-utils to 2.4-13.1.49_FC3, apparently the kernel panics immediately after starting 'cpuspeed'.

Also, the machine was resetting right after GRUB initial screen when trying to
boot SMP kernel after a reboot from uP session (w/o hard reset or power off/on).
The reason seems to be that the machine's CPU(s) were left in low-frequency
(1GHz instead of nominal 2.4GHz). The BIOS screen shows 1.0GHz until a hard reset. I would suggest adding
  killproc cpuspeed -USR1
  sleep 1
to /etc/init.d/cpuspeed stop() function, just before "killproc cpuspeed -INT"

regards, Michal.

My machine is dual-Opteron 250, Tyan K8W S2875 MoBo. Fedora Core 3 x86_64.

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.39, kernel-utils-2.4-13.1.49_FC3

How reproducible:
Always

Steps to Reproduce:
1. make sure 'cpuspeed' service is "on"
2. boot a SMP kernel

  

Actual Results:  system hangs after 'cpuspeed' service is started

Expected Results:  normal boot

Additional info:

My machine is dual-Opteron 250, Tyan K8W S2875 MoBo, two 200GB SATA disks, 2GB RAM
Comment 1 Dave Jones 2005-05-23 17:29:26 EDT
Theres a powernow-k8 update pending for upstream cpufreq. I'll pull it in before
FC4 final, and if that works out, I'll backport it to the next FC3 update.
Comment 2 Dave Jones 2005-07-15 16:15:13 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Michal Szymanski 2005-08-04 10:32:13 EDT
Finally I was able to test the new kernel (still in FC3). It does not work.
Still the machine hangs right after starting 'cpuspeed' during the bootup
procedure. I also tried to disable 'cpuspeed' at boot time and to start it
manually from the already booted system - I got an immediate kernel panic hang.

regards, Michal.
Comment 4 Dave Jones 2005-08-04 13:22:45 EDT
can you capture the panic message ?  There's a fix pending that will go in the
next FC3 update (I just finished the FC4 test update yesterday, I'll do the FC3
variant next).  It'd be good to know if its the same bug.
Comment 5 Mike Melko 2005-08-25 00:31:12 EDT
I have essentially the same problem with fc4 on a similarly configured system. I
filed it as bu #166741.
Comment 6 Dave Jones 2005-08-26 03:39:09 EDT
There's at least one panic fix in the latest test kernel in the updates-testing
repository.  If you could try that out, it may fix your problem.
Comment 7 Michal Szymanski 2005-09-29 05:09:05 EDT
I am not sure what does "CLOSED ERRATA" status mean, so I am not changing it,
but even the lates 1378 kernel does not fix this bug in my machine (described in
the first post here). Under SMP kernel, the machine panics immediately after
starting 'cpuspeed'.
Comment 8 Dave Jones 2005-09-29 19:48:18 EDT
Are you running the latest BIOS for that board ? There have been a number of
issues with Tyan boards that have been unearthed lately.

Does it pass an overnight run of memtest86 ?
Comment 9 Michal Szymanski 2005-09-30 09:30:32 EDT
Dave, we have exchanged a few email on the subject in August. Yes, it has the
newest BIOS ver 3.02, and it has passed 40+ hours of memtest (extended tests).
Either this type of MoBo/BIOS does not properly support cpuspeed or the
particular MoBo is somehow broken (but it otherwise works just fine).
Comment 10 Dave Jones 2005-10-02 19:21:35 EDT
I get a lot of mail :)  [which is why keeping stuff in bugzilla is essential, my
memory is lossy].

I've no other ideas at the moment.
Comment 11 Dave Jones 2006-01-16 17:11:22 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 12 Dave Jones 2006-02-03 02:08:32 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 John Thacker 2006-05-04 09:45:58 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.